Subject: RE: [SIP] SIP Privacy Draft

From: "Mark Watson" <[email-masked]>
Date: Thu, 1 Feb 2001 18:34:19 -0000

In the scenario described, the PSTN returns an ACM message when the call
originally terminates at (B). If (B) has Call Forwarding on No Reply (say),
then when the No Reply timer expires, a CPG (Call Progress) will be returned
indicating that diversion is taking place.

Subsequent diversions will cause further CPG messages.

It would be desireably to map these to 1xx responses in the SIP network, as
they can provide the caller with information as to where the call has been
forwarded.

Mark Watson
Nortel Networks

> -----Original Message-----
> From: William Marshall [mailto:[email-masked]]
> Sent: 01 February 2001 16:36
> To: [email-masked]
> Subject: [SIP] SIP Privacy Draft
> 
> 
> Mark Watson's update on the privacy draft discussions reminded me
> that I had an action item to bring to the list, regarding multiple
> 180 responses in a SIP session.
> 
> When a SIP call is delivered to a PSTN gateway, and thus to a PSTN
> endpoint (B), B may have call forwarding established to (C).  In some
> cases (which I admit to not understanding completely) the SS7 
> signaling
> could identify endpoint B as a destination that is ringing, and later
> identify endpoint C as an updated destination that is ringing.
> Presumably if C forwards to D, and D forwards to E, etc etc etc, there
> could be a whole sequence of indications received by the PSTN gateway
> about ringing endpoints.
> 
> The question is whether these {may/should/shouldnot} result 
> in multiple 
> 180-Ringing SIP responses.  I don't see anything in 2543 or 2543bis
> that limits a UAS to sending a single 180 response, but it doesn't
> seem like expected behavior.  So, {should/must} a standard UAC handle 
> multiple 180 responses?
> 
> Bill Marshall
> [email-masked]
> 
> _______________________________________________
> This list is for continuing development of the SIP protocol.
> The sip-implementer's list is the place to discuss implementation,
> and to receive advice on understanding existing sip.
> To subscribe to it, send mail to [email-masked] with
> "subscribe sip-implementors" in the body.
>